<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class BaseMailable extends Mailable
{
    use Queueable, SerializesModels;

    public $footerLink;

    public function __construct()
    {
        $this->footerLink = request()->root(); // Set your common link here
    }
}